<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasPersonMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasPerson">
        <id column="person_code" property="personCode"/>
        <result column="card_number" property="cardNumber"/>
        <result column="credential_type" property="credentialType"/>
        <result column="credential_no" property="credentialNo"/>
        <result column="name" property="name"/>
        <result column="car_code" property="carCode"/>
        <result column="label_code" property="labelCode"/>
        <result column="msg_source_code" property="msgSourceCode"/>
        <result column="power_code" property="powerCode"/>
        <result column="real_population" property="realPopulation"/>
        <result column="pic_id" property="picId"/>
        <result column="phone1" property="phone1"/>
        <result column="phone1_id" property="phone1Id"/>
        <result column="phone2" property="phone2"/>
        <result column="phone2_id" property="phone2Id"/>
        <result column="phone3" property="phone3"/>
        <result column="phone3_id" property="phone3Id"/>
        <result column="people_type_code" property="peopleTypeCode"/>
        <result column="update_time" property="updateTime"/>
        <result column="create_time" property="createTime"/>
        <result column="company_code" property="companyCode"/>
        <result column="source" property="source"/>
        <result column="domicile_id" property="domicileId"/>
        <result column="origin" property="origin"/>
        <result column="residence_id" property="residenceId"/>
        <result column="education_code" property="educationCode"/>
        <result column="marital_status_code" property="maritalStatusCode"/>
        <result column="spouse_name" property="spouseName"/>
        <result column="spouse_type" property="spouseType"/>
        <result column="spouse_no" property="spouseNo"/>
        <result column="nationality_code" property="nationalityCode"/>
        <result column="entry_time" property="entryTime"/>
        <result column="surname_eng" property="surnameEng"/>
        <result column="name_eng" property="nameEng"/>
        <result column="security_card_no" property="securityCardNo"/>
        <result column="security_duties_code" property="securityDutiesCode"/>
        <result column="entrance_type_code" property="entranceTypeCode"/>
        <result column="place_of_birth" property="placeOfBirth"/>
        <result column="person_type_code" property="personTypeCode"/>
        <result column="functions" property="functions"/>
        <result column="person_entrance_type_code" property="personEntranceTypeCode"/>
    </resultMap>

</mapper>

